function GetInputXML(formobj)
{
	 var s_ret="";
	 
	 for(i=0;i<formobj.elements.length;i++)
	 {
	 		var obj=formobj.elements[i];
	 		
	 		switch(obj.id)
	 		{
	 			case "buildtext":
	 			case "source": 
	 			case "":
	 			{
	 				continue;	
	 				break;
	 			}
	 		}
	 		
	 			
	 		switch(obj.type)
	 		{
	 			case "text":
	 			case "textarea":
	 			{
	 				s_ret+="<"+obj.id+">"+obj.value+"</"+obj.id+">";
	 				break;
	 			}
	 			case "checkbox":
	 			{
	 				var s_on="0";
	 				if(obj.checked)
	 				{
	 					s_on="1";
	 				}
	 				
	 				s_ret+="<"+obj.id+">"+s_on+"</"+obj.id+">";
	 				break;
	 			}
	 			case "select-one":
	 			{
	 				var s_value="";
	 				
	 				
	 				for(j=0;j<obj.options.length;j++)
	 				{
	 					if(obj.options[j].selected)
	 					{
	 						s_value+=","+obj.options[j].value;
	 					}
	 				}
	 				
	 				if(s_value.length>0)
	 				{
	 					s_value=s_value.substr(1);
	 				}
	 				
	 				s_ret+="<"+obj.id+">"+s_value+"</"+obj.id+">";
	 				break;
	 			}
	 			
	 		}
	 }
	 
	 
	 
	 $P('C_Input').value=s_ret;
}

//读取配置 更新文件
function SetInputXML(formobj,s_count)
{
	 var s_xml=$P('C_Input').value;
	 var s_value="";
	 
	 if(s_xml=="")
	{ 
		if($P('C_Compare')!=null)
		{
			s_xml=$P('C_Compare').value;
		}	
  }
	 
	 if(s_xml=="")
	 	return ;
	 
	 
	 
	
	 
	 if(typeof(BuildCount)=="function")
	{
		 var re = new RegExp("<"+s_count+">((.|\n)*?)</"+s_count+">");
	   re.exec(s_xml);
	
		$(s_count).value=RegExp.$1;	
		if($(s_count).value!="")
			BuildCount();
	}
	 	
	 
	 for(i=0;i<formobj.elements.length;i++)
	 {
	 		var obj=formobj.elements[i];
	 		
	 		switch(obj.id)
	 		{
	 			case "buildtext":
	 			case "source":
	 			case s_count:
	 			case "":
	 			{
	 				continue;	
	 				break;
	 			}
	 		}
	 		
	 		s_value="";
	 		var re = new RegExp("<"+obj.id+">((.|\n)*?)</"+obj.id+">");
			var o_ret=re.exec(s_xml);
			
			if(o_ret==null)
				continue;	
			
			s_value= RegExp.$1;
			
	 		switch(obj.tagName)
	 		{
	 			case "INPUT":
	 			{
	 				obj.value=s_value;
	 				if(s_value=="on")
	 				{
	 					obj.checked=true;
	 				}
	 				break;
	 			}
				case "TEXTAREA":	 			
				{
					obj.value=s_value;
					
					break;
				}
	 			case "SELECT":
	 			{
	 				if(s_value.trim()=="")
	 					continue;
	 				
	 				var s_con=s_value.split(',');
	 				var b_add=0;
	 				
	 				if(obj.options.length==0)
	 					b_add=1;
	 				
	 				
	 				for(j=0;j<s_con.length;j++)
	 				{
	 					if(b_add==0)
	 					{ 
	 						//在已有数据上单选或多选
		 					for(k=0;k<obj.options.length;k++)
			 				{
			 					if(obj.options[k].value==s_con[j])
			 					{
			 						obj.options[k].selected=true;
			 						break;
			 					}
			 				}
			 			}
			 			else
			 			{
			 				//增加的内容
			 				var  opt=document.createElement("OPTION")  
							opt.value=s_con[j];
							opt.text=s_con[j];
							obj.add(opt)  
							
			 			}	
	 				}
	 				break;
	 			}
	 		}
	 }
	 
	 if(typeof(UpdateType)=="function")
	{
		UpdateType();//打开页面
	}	
}